Skip to Content
veriom

List model qualification requests

The workspace's qualification requests, newest first.

GET
/v1/workspaces/{workspace_id}/model-qualification-requests

The workspace's qualification requests, newest first.

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Query Parameters

status?|null
endpoint_id?|null
limit?Limit
Range1 <= value <= 200
Default50

Response Body

Successful Response

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/model-qualification-requests'
Example Response
[  {    "budget_usd": "string",    "canonical_id": "string",    "completed_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "decided_at": "2019-08-24T14:15:22Z",    "decision_reason": "string",    "draft_expires_at": "2019-08-24T14:15:22Z",    "endpoint_id": "e9ce0d4f-d433-423d-9497-4c000544106c",    "evaluation": {      "gates": {        "property1": true,        "property2": true      },      "gates_passed": true,      "mean_cost_usd": "string",      "p95_latency_ms": 0,      "qualifies_until": "2019-08-24T14:15:22Z",      "quality_score": 0,      "replay_count": 0,      "tool_discipline_score": 0    },    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "origin": "customer",    "probe": {      "code": "string",      "latency_ms": 0,      "passed": true    },    "provider_model_id": "string",    "qualified_until": "2019-08-24T14:15:22Z",    "renews_qualification": true,    "replayed_cases": 0,    "scope": "global",    "spent_usd": "string",    "status": "requested",    "status_message": "string",    "status_reason": "string",    "updated_at": "2019-08-24T14:15:22Z",    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"  }]